
Figure - Bug #117798
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.gallery3d（3）
2023-05-08 10:10 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)（5.6带开机动画版）

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-05-10

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 600000

2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.gallery3d (pid 18885)

// Short Msg: java.lang.IllegalArgumentException

// Long Msg: java.lang.IllegalArgumentException: View=DecorView@79f3c86[正在静音] not attached to window manager

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3189:user/test-keys

// Build Changelist: 3189

// Build Time: 1683302163000

// java.lang.IllegalArgumentException: View=DecorView@79f3c86[正在静音] not attached to window manager

//     at android.view.WindowManagerGlobal.findViewLocked(WindowManagerGlobal.java:534)

//     at android.view.WindowManagerGlobal.removeView(WindowManagerGlobal.java:438)

//     at android.view.WindowManagerImpl.removeViewImmediate(WindowManagerImpl.java:164)

//     at android.app.Dialog.dismissDialog(Dialog.java:392)

//     at android.app.Dialog.dismiss(Dialog.java:374)

//     at com.android.gallery3d.app.MuteVideo$1$1.run(MuteVideo.java:92)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 
History

#1 - 2023-05-08 10:10 - CD TEST-方永红

- Subject changed from 【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.gallery3d（1） to 【AF】【EVT3】【Monkey】Monkey

测试48小时，出现CRASH: com.android.gallery3d（3）

#2 - 2023-05-08 10:16 - CD TEST-方永红

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117798%26117799

#3 - 2023-05-08 14:31 - CD APP-王营

- Status changed from New to ASSIGNED

#4 - 2023-05-08 14:56 - CD TEST-方永红

- Found Version changed from FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)（5.5带开机动画版） to

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)（5.6带开机动画版）

#5 - 2023-05-09 15:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198536 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Gallery2: Fix monkey crashTC-RID: 0301-0300701IssueID: TS-R-BUG-117798Change-Id: Ic5563fa02920de4783fed079145fa0149c35b777

#6 - 2023-05-09 15:01 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-10

- Root cause set to AOSP问题

■ Current conclusion

问题已解决，待验证

■ My analysis

偶现在dialog dismiss之前Activity被销毁，此时调用dismiss（）方法会抛出异常

IllegalArgumentException: View=DecorView@79f3c86[正在静音] not attached to window manager

处理方式：添加Activity状态判断，对dismiss方式进行trycatch

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/198536

#7 - 2023-05-12 17:56 - CD TEST-方永红
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117798%26117799
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/198536


5.12

0099版本未复现

#8 - 2023-05-15 10:53 - CD TEST-方永红

5.15

13日DB未复现

#9 - 2023-05-16 14:22 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

5.16

15日DB未复现

先关闭

#10 - 2023-05-16 14:22 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 280 KB 2023-05-08 CD TEST-方永红
